<div *ngIf="auth.tokenValidate else denied">
  <h1>Anwesenheit bearbeiten</h1>

  <div class="alert alert-danger" *ngIf="submitRequest && errorString != null && errorString != '' else success">
    {{errorString}}
    <br>
  </div>

  <ng-template #success>
    <div class="alert alert-success" *ngIf="submitRequest">
      Aktion wurde erfolgreich ausgeführt.
    </div>
  </ng-template>

  <table class="table table-striped" *ngIf="lesson !== undefined">
    <tbody>
    <tr>
      <th>Datum</th>
      <td>{{lesson.Datum | date:'d. MMMM y'}}</td>
    </tr>
    <tr>
      <th>Raum</th>
      <td>{{lesson.Raum}}</td>
    </tr>
    <tr>
      <th>Klasse</th>
      <td>{{lesson.KlassenID}}</td>
    </tr>
    <tr>
      <th>Stunde</th>
      <td>{{lesson.FaecherID}}</td>
    </tr>
    </tbody>
  </table>

  <hr>

  <div *ngIf="presences.length; else noPresenceList">
    <form #blogForm="ngForm">
      <table class="table table-striped">
        <thead>
        <tr>
          <th>Vorname</th>
          <th>Nachname</th>
          <th width="10%">Entschuldigt</th>
          <th width="10%">Fehlzeit</th>
        </tr>
        </thead>
        <tbody>
        <tr *ngFor="let presence of presences">
          <td>{{presence.Vorname}}</td>
          <td>{{presence.Name}}</td>
          <td><input class="form-control" type="checkbox" name="excuse-{{presence.ID}}"
                     [checked]="presence.excused" (change)="presence.excused = !presence.excused"
                     *ngIf="presence.classTeacher || presence.courseLeader"></td>
          <td><input class="form-control" type="number" name="time-{{presence.ID}}" id="time-{{presence.ID}}"
                     maxlength="3"
                     value="{{presence.Fehlzeit}}" [(ngModel)]="presence.Fehlzeit"
                     (ngModelChange)="onChange(presence)">
          </td>
        </tr>
        </tbody>
      </table>

      <input type="submit" id="submit" class="btn btn-success" value="Speichern" (click)="saveList()">
    </form>
  </div>

  <ng-template #noPresenceList>
    <div class="alert alert-warning">
      Es konnte keine Anwesenheitsliste gefunden werden.
    </div>
  </ng-template>
</div>

<ng-template #denied>
  <app-access-denied></app-access-denied>
</ng-template>
